I'm a noob to Ruby on Rails.

I'm getting this error when I'm running a rake command. The below is the output from the terminal using a "rake --trace"

Terminal Output:
rake --trace
(in /Users/homeaccount/work/MyProject)
** Invoke default (first_time)
** Invoke test (first_time)
** Execute test
** Invoke test:units (first_time)
** Invoke db:testrepare (first_time)
** Invoke environment (first_time)
** Execute environment
** Invoke test:functionals (first_time)
** Invoke db:testrepare
** Execute test:functionals
/usr/local/bin/ruby -Ilib:test "/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake/rake_test_loader.rb" "test/functional/friends_controller_test.rb"
/usr/local/lib/ruby/1.8/yaml.rb:133:in `load': syntax error on line 17, col 2: ` host: localhost' (ArgumentError)
from /usr/local/lib/ruby/1.8/yaml.rb:133:in `load'
from /usr/local/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/initializer.rb:459:in `database_configuration'
from /usr/local/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/initializer.rb:181:in `initialize_database'
from /usr/local/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/initializer.rb:84:in `process'
from /usr/local/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/initializer.rb:42:in `run'
from /Users/bingebook/work/MyProject/config/environment.rb:13
from ./test/functional/../test_helper.rb:2
from ./test/functional/friends_controller_test.rb:1
from /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake/rake_test_loader.rb:5
from /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake/rake_test_loader.rb:5
** Invoke test:integration (first_time)
** Invoke db:testrepare
** Execute test:integration
/usr/local/bin/ruby -Ilib:test "/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake/rake_test_loader.rb"
rake aborted!
Test failures
/usr/local/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/tasks/testing.rake:35
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:387:in `execute'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:387:in `execute'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:357:in `invoke'
/usr/local/lib/ruby/1.8/thread.rb:135:in `synchronize'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:in `invoke'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:364:in `invoke_prerequisites'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:999:in `each'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:363:in `invoke_prerequisites'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:356:in `invoke'
/usr/local/lib/ruby/1.8/thread.rb:135:in `synchronize'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:in `invoke'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:1906:in `run'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:1906:in `run'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/bin/rake:7
/usr/local/bin/rake:18

I have no idea why this is happening. I heard there might be some kind of but that is preventing the load to complete.

Any feeback would be great!